package com.bull.eclipse.jonas.actions.ear;

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */

import org.eclipse.core.runtime.CoreException;

import com.bull.eclipse.jonas.JonasLauncherPlugin;
import com.bull.eclipse.jonas.JonasProject;
import com.bull.eclipse.jonas.actions.JonasProjectAbstractActionDelegate;

public class DeployEarActionDelegate extends JonasProjectAbstractActionDelegate {

	public boolean doActionOn(JonasProject prj) throws Exception {
		String earFile = prj.getProject().getName() + ".ear";		
		deploy(earFile);
		return false;
	}			

	static public void deploy(String earName) throws CoreException {
		JonasLauncherPlugin.log("earFile = " + earName);
		String[] options = {"-a", earName};	
		JonasLauncherPlugin.getDefault().getJonasBootstrap().admin(options);		
	}

}

