
package com.bull.eclipse.jonas;

import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.PlatformUI;

import com.bull.eclipse.jonas.actions.JonasProjectAbstractActionDelegate;
import com.bull.eclipse.jonas.wizard.CreateEARWizard;


public class		CreateEAR extends JonasProjectAbstractActionDelegate
{
	public boolean		doActionOn( JonasProject p )
	{
		CreateEARWizard	wiz = new CreateEARWizard();
		wiz.init( PlatformUI.getWorkbench(), new StructuredSelection(p) );
		WizardDialog	dialog = new WizardDialog(
			PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(),
			wiz );
		dialog.open();
		return false;
	}

}

