package com.bull.eclipse.jonas; 

/*
 * (c) Copyright Bull SA 2003.
 * All Rights Reserved.
 */
 
import java.io.File;

import org.eclipse.ant.core.AntRunner;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.Path;

import com.bull.eclipse.jonas.utils.TemplateDirUtil;

public class HotDeploy {
    
	private String jonasBase = null;
	private Path directoryWeb = null;
	private String webContext = null;
	
	public HotDeploy(String jonasBase, Path directoryWeb, String webContext) throws CoreException {
		this.jonasBase = jonasBase;
		this.directoryWeb = directoryWeb;		
		this.webContext = webContext;
	}
	
	
	public void copyFileByAnt() throws CoreException {		
						
		AntRunner antRunner = new AntRunner();
		String buildFileLocation = TemplateDirUtil.getTemplateDir() + File.separator + "HotDeploy.xml";
		antRunner.setBuildFileLocation(buildFileLocation);
		String[] arguments = {"-DJonasBaseDir=" + jonasBase , "-DWebContext=" + webContext , "-DWebAppDir=" + directoryWeb.toOSString()};
		antRunner.setArguments(arguments);
		antRunner.run();										
	}
}